Bug 256139 - net-im/psi: Add plugin and localization support
Summary: net-im/psi: Add plugin and localization support
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-25 02:16 UTC by Chris
Modified: 2021-05-25 02:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
Patch (7.86 KB, patch)
2021-05-25 02:16 UTC, Chris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2021-05-25 02:16:21 UTC
Created attachment 225242 [details]
Patch

This patch adds plugin and localization support to net-im/psi (version 1.5)

Changes:

- Switch to github since this where the various sub-projects are hosted.
Notably:
https://github.com/psi-im/psi (main project)
https://github.com/psi-im/iris (library)
https://github.com/psi-im/libpsi (library)
https://github.com/psi-im/plugins (plugins)
https://github.com/psi-im/psi-l10n (translation files)

- Add options NLS and PLUGINS (set as default).
- All plugins build with the exception of screenshotplugin.
- A couple of plugins depend on option WEBKIT being selected. So they are not built by default.
- The otrplugin brings a few more dependencies (libotr and friends)